# generated by cabal-rpm-1.0.3
# https://fedoraproject.org/wiki/Packaging:Haskell

%global pkg_name brick
%global pkgver %{pkg_name}-%{version}

%global _devel -%{?ghc_devel_prof}%{!?ghc_devel_prof:devel}

%bcond_without tests

Name:           ghc-%{pkg_name}
Version:        0.50.1
Release:        1%{?dist}
Summary:        A declarative terminal user interface library

License:        BSD
Url:            https://hackage.haskell.org/package/%{pkg_name}
# Begin cabal-rpm sources:
Source0:        https://hackage.haskell.org/package/%{pkgver}/%{pkgver}.tar.gz
# End cabal-rpm sources

# Begin cabal-rpm deps:
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-base%{_devel}
BuildRequires:  ghc-bytestring%{_devel}
BuildRequires:  ghc-config-ini%{_devel}
BuildRequires:  ghc-containers%{_devel}
BuildRequires:  ghc-contravariant%{_devel}
BuildRequires:  ghc-data-clist%{_devel}
BuildRequires:  ghc-deepseq%{_devel}
BuildRequires:  ghc-directory%{_devel}
BuildRequires:  ghc-dlist%{_devel}
BuildRequires:  ghc-filepath%{_devel}
BuildRequires:  ghc-microlens%{_devel}
BuildRequires:  ghc-microlens-mtl%{_devel}
BuildRequires:  ghc-microlens-th%{_devel}
BuildRequires:  ghc-stm%{_devel}
BuildRequires:  ghc-template-haskell%{_devel}
BuildRequires:  ghc-text%{_devel}
BuildRequires:  ghc-text-zipper%{_devel}
BuildRequires:  ghc-transformers%{_devel}
BuildRequires:  ghc-unix%{_devel}
BuildRequires:  ghc-vector%{_devel}
BuildRequires:  ghc-vty%{_devel}
BuildRequires:  ghc-word-wrap%{_devel}
%if %{with tests}
BuildRequires:  ghc-QuickCheck-devel
%endif
# End cabal-rpm deps

%description
Write terminal applications painlessly with 'brick'! You write an event handler
and a drawing function and the library does the rest.

> module Main where > > import Brick > > ui :: Widget () > ui = str "Hello,
world!" > > main :: IO () > main = simpleMain ui


%package devel
Summary:        Haskell %{pkg_name} library development files
Provides:       %{name}-static = %{version}-%{release}
Provides:       %{name}-static%{?_isa} = %{version}-%{release}
%if %{defined ghc_version}
Requires:       ghc-compiler = %{ghc_version}
%endif
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
This package provides the Haskell %{pkg_name} library development files.


%if %{with haddock}
%package doc
Summary:        Haskell %{pkg_name} library documentation
BuildArch:      noarch

%description doc
This package provides the Haskell %{pkg_name} library documentation.
%endif


%if %{with ghc_prof}
%package prof
Summary:        Haskell %{pkg_name} profiling library
Requires:       %{name}-devel%{?_isa} = %{version}-%{release}
Supplements:    (%{name}-devel and ghc-prof)

%description prof
This package provides the Haskell %{pkg_name} profiling library.
%endif


%prep
# Begin cabal-rpm setup:
%setup -q -n %{pkgver}
# End cabal-rpm setup


%build
# Begin cabal-rpm build:
%ghc_lib_build
# End cabal-rpm build


%install
# Begin cabal-rpm install
%ghc_lib_install
# End cabal-rpm install


%check
%cabal_test


%if 0%{?fedora} < 31 || 0%{?rhel} < 8
%post devel
%ghc_pkg_recache


%postun devel
%ghc_pkg_recache
%endif


%files -f %{name}.files
# Begin cabal-rpm files:
%license LICENSE
# End cabal-rpm files


%files devel -f %{name}-devel.files
%doc CHANGELOG.md README.md


%if %{with haddock}
%files doc -f %{name}-doc.files
%license LICENSE
%endif


%if %{with ghc_prof}
%files prof -f %{name}-prof.files
%endif


%changelog
* Sat Dec 28 2019 Jens Petersen <petersen@redhat.com> - 0.50.1-1
- update to 0.50.1

* Sat Dec 28 2019 Fedora Haskell SIG <haskell@lists.fedoraproject.org> - 0.47.1-1
- spec file generated by cabal-rpm-1.0.3
